@import "./themes.css";

body {
    font-family: system-ui, sans-serif;
    max-width: 60rem;
    margin: 0 auto;
    background: var(--back-body);
    color: var(--font-body);
}

h1 {
    margin-bottom: 0.5rem;
}

h2{
    margin-top: 0rem;
}

.controls {
    margin-bottom: 1.5rem;
}

.controls, footer {
    padding: 0 1.5rem;
}

#stationSelect, #stationSearch{
    padding: 0.5rem;
    margin: 0.5rem 0;
    font-size: 1rem;
}
#stationSelect {
    min-width: 350px;
}

.card {
    background: var(--back-card);
    border-top: solid var(--border-card);
    border-bottom: solid var(--border-card);
    padding: 1.5rem;
    box-shadow: 0 2px 8px var(--shadow-card);
}

.grid {
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(13rem,1fr));
    gap: 1rem;
}

.metric {
    padding: 1rem;
    border-radius: 8px;
    background: var(--back-metric);
    box-shadow: 1px 2px 3px var(--shadow-card);
}


.metric .label {
    color: var(--font-metric-label);
    font-size: 0.9rem;
}

.metric .value {
    font-size: 1.8rem;
    font-weight: bold;
    margin-top: 0.3rem;
}
.outdated .metric .value {
    opacity: 40%;
}

.updated {
    margin-top: 1rem;
    color: var(--font-card);
}
.outdated .updated {
    text-shadow: 2px 2px 12px var(--Error-shadow);
    color: var(--Error-bright);
}

.error {
    color: var(--Error);
}

#emoji-legend {
    display: flex;
    flex-wrap: wrap;
}
#emoji-legend > * {
    padding: 1em;
}

#emoji-legend td {
    padding-right: 0.5em;
}
#emoji-legend td:nth-child(1), #emoji-legend td:nth-child(2) {  
    white-space: nowrap;
}

footer {
    margin: 1.5rem 0;
    color: var(--font-card);
}

@media screen and (prefers-color-scheme: dark) {
    .metric {
        box-shadow: -1px -2px 3px var(--shadow-card);
    }
    .card {
        box-shadow: 0 -2px 8px var(--shadow-card);
    }
}

@media (min-width: 60rem) {
    .controls{
        text-align: center;
    }

    .card{
        border-radius: 12px;
        border: solid var(--border-card);
    }
}